AIDR API Reference
Base URL
aidr.<csp>.<region>.pangea.cloudcurl -sSLX POST 'https://aidr.aws.us-west-2.pangea.cloud/v1/guard_chat_completions' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Guard LLM Chat Completions
Analyze and redact content to avoid manipulation of the model, addition of malicious content, and other undesirable data transfers.
curl -sSLX POST 'https://aidr.aws.us-west-2.pangea.cloud/v1/unredact' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Unredact text or structured JSON
Decrypt or unredact fpe redactions
Status Codes
| Status | Status Code | Description |
|---|---|---|
| InactiveDevice | 200 | Device is not active. |
| TokenDeletionFailed | 200 | Failed to delete device attached token. |
| AIDRFieldAliasExists | 400 | Field alias already exists. |
| AIDRListExists | 400 | List already exists. |
| AIDRPolicyExists | 400 | Policy already exists. |
| CSPLogTooLarge | 400 | CSP log is too large. |
| DeviceExists | 400 | Device already exists. |
| InvalidAIDRFieldAlias | 400 | Field alias does not exist. |
| InvalidAIDRListContent | 400 | Unsupported List content. |
| InvalidAIDRListType | 400 | Unsupported List type. |
| InvalidAIDRPolicy | 400 | Unsupported Policy content. |
| InvalidCollectorType | 400 | The operation is not available for this collector type |
| InvalidDevice | 400 | Device does not exist. |
| InvalidDeviceId | 400 | The operation is made with invalid device id |
| InvalidSavedFilter | 400 | Saved filter does not exist. |
| InvalidSearchId | 400 | The search id is invalid because it has either already been completed and the results have been retrieved, or the search request does not exist. |
| MissingAIDRList | 400 | List does not exist. |
| MissingAIDRPolicy | 400 | Policy does not exist. |
| SavedFilterExists | 400 | Saved filter already exists. |
| UnsupportedAIDRPolicyVersion | 400 | Unsupported Policy version. |
Was this article helpful?